org.icefaces.ace.component.dnd

## Interface IDraggable

- All Known Implementing Classes:
    Draggable, DraggableBase

      public interface IDraggable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAxis()`
    `java.lang.String` | `getContainment()`
    `java.lang.String` | `getCursor()`
    `java.lang.String` | `getDatasource()`
    `javax.el.MethodExpression` | `getDragStartListener()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getGrid()`
    `java.lang.String` | `getHandle()`
    `java.lang.String` | `getHelper()`
    `java.lang.Double` | `getOpacity()`
    `java.lang.String` | `getScope()`
    `java.lang.String` | `getSnapMode()`
    `int` | `getSnapTolerance()`
    `java.lang.String` | `getStack()`
    `java.lang.String` | `getWidgetVar()`
    `int` | `getZindex()`
    `boolean` | `isDisabled()`
    `boolean` | `isDragOnly()`
    `boolean` | `isRevert()`
    `boolean` | `isSnap()`
    `void` | `setAxis(java.lang.String axis)`
    `void` | `setContainment(java.lang.String containment)`
    `void` | `setCursor(java.lang.String cursor)`
    `void` | `setDatasource(java.lang.String datasource)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDragOnly(boolean dragOnly)`
    `void` | `setDragStartListener(javax.el.MethodExpression dragStartListener)`
    `void` | `setFor(java.lang.String forValue)`
    `void` | `setGrid(java.lang.String grid)`
    `void` | `setHandle(java.lang.String handle)`
    `void` | `setHelper(java.lang.String helper)`
    `void` | `setOpacity(java.lang.Double opacity)`
    `void` | `setRevert(boolean revert)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setSnap(boolean snap)`
    `void` | `setSnapMode(java.lang.String snapMode)`
    `void` | `setSnapTolerance(int snapTolerance)`
    `void` | `setStack(java.lang.String stack)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setZindex(int zindex)`

- - ### Method Detail

    - #### setAxis

          void setAxis(java.lang.String axis)

    - #### getAxis

          java.lang.String getAxis()

    - #### setContainment

          void setContainment(java.lang.String containment)

    - #### getContainment

          java.lang.String getContainment()

    - #### setCursor

          void setCursor(java.lang.String cursor)

    - #### getCursor

          java.lang.String getCursor()

    - #### setDatasource

          void setDatasource(java.lang.String datasource)

    - #### getDatasource

          java.lang.String getDatasource()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setDragOnly

          void setDragOnly(boolean dragOnly)

    - #### isDragOnly

          boolean isDragOnly()

    - #### setDragStartListener

          void setDragStartListener(javax.el.MethodExpression dragStartListener)

    - #### getDragStartListener

          javax.el.MethodExpression getDragStartListener()

    - #### setFor

          void setFor(java.lang.String forValue)

    - #### getFor

          java.lang.String getFor()

    - #### setGrid

          void setGrid(java.lang.String grid)

    - #### getGrid

          java.lang.String getGrid()

    - #### setHandle

          void setHandle(java.lang.String handle)

    - #### getHandle

          java.lang.String getHandle()

    - #### setHelper

          void setHelper(java.lang.String helper)

    - #### getHelper

          java.lang.String getHelper()

    - #### setOpacity

          void setOpacity(java.lang.Double opacity)

    - #### getOpacity

          java.lang.Double getOpacity()

    - #### setRevert

          void setRevert(boolean revert)

    - #### isRevert

          boolean isRevert()

    - #### setScope

          void setScope(java.lang.String scope)

    - #### getScope

          java.lang.String getScope()

    - #### setSnap

          void setSnap(boolean snap)

    - #### isSnap

          boolean isSnap()

    - #### setSnapMode

          void setSnapMode(java.lang.String snapMode)

    - #### getSnapMode

          java.lang.String getSnapMode()

    - #### setSnapTolerance

          void setSnapTolerance(int snapTolerance)

    - #### getSnapTolerance

          int getSnapTolerance()

    - #### setStack

          void setStack(java.lang.String stack)

    - #### getStack

          java.lang.String getStack()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setZindex

          void setZindex(int zindex)

    - #### getZindex

          int getZindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.